#
# spec file for package python3-html-linter
#
# Copyright (c) 2016 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/


Name:           python3-html-linter
Version:        0.3.0
Release:        1.6
License:        Apache-2.0
Summary:        Lints an HTML5 file using Google's style guide
Url:            http://github.com/sk-/html-linter
Group:          Development/Languages/Python
Source:         https://files.pythonhosted.org/packages/source/h/html-linter/html-linter-%{version}.tar.gz
BuildRequires:  python3-devel
BuildRequires:  python3-setuptools
BuildRequires:  python3-docopt >= 0.6.1
BuildRequires:  python3-template-remover
# test requirements
# BuildRequires:  python3-nose >= 1.3
Requires:       python3-docopt >= 0.6.1
Requires:       python3-template-remover
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildArch:      noarch
Requires(post): update-alternatives
Requires(postun): update-alternatives

%description
Handling HTML5 files generated by lots of different of people is a difficult
task, because the standard is evolving quite fast and also because browsers are
quite open to accept any malformed/invalid/incomplete input.

That's why we decided to have an automated tool to check our coding standard.

We start with the Google standard and we enhance it with some extra rules
defined by the project html-minifier.

%prep
%setup -q -n html-linter-%{version}

%build
python3 setup.py build

%install
python3 setup.py install --prefix=%{_prefix} --root=%{buildroot}

# Prepare for update-alternatives usage
mkdir -p %{buildroot}%{_sysconfdir}/alternatives
mv %{buildroot}%{_bindir}/html_lint.py %{buildroot}%{_bindir}/html_lint-%{py3_ver}
ln -s -f %{_sysconfdir}/alternatives/html_lint %{buildroot}%{_bindir}/html_lint

# Tests are missing reference data files
# %%check
# nosetests

%post
%_sbindir/update-alternatives \
   --install %{_bindir}/html_lint html_lint %{_bindir}/html_lint-%{py3_ver} 30

%postun
if [ $1 -eq 0 ] ; then
    %_sbindir/update-alternatives --remove html_lint %{_bindir}/html_lint-%{py3_ver}
fi

%files
%defattr(-,root,root,-)
%doc README.rst
%{_bindir}/html_lint
%{_bindir}/html_lint-%{py3_ver}
%ghost %{_sysconfdir}/alternatives/html_lint
%{python3_sitelib}/*

%changelog
* Fri Oct 14 2016 toddrme2178@gmail.com
- Initial version
